<header></header>
<div class="container-fluid">
  <div class="page-header">
    <h1>Add Contact</h1>
  </div>
  <div id="alertContainer">
    <alert type="success" *ngIf="alertMessage"><strong>{{alertMessage}}</strong></alert>
  </div>
  <form class="form-horizontal" [formGroup]="contactForm" (ngSubmit)="submit()">
    <div class="row">
      <div class="col-sm-6">
        <div class="form-group">
          <label for="name" class="col-sm-4 control-label">Name</label>
          <div class="col-sm-8">
            <input type="text" id="name" class="form-control" formControlName="name" [(ngModel)]="contact.name">
          </div>
        </div>
        <div class="form-group">
          <label for="phone" class="col-sm-4 control-label">Phone Number</label>
          <div class="col-sm-8">
            <input type="tel" id="phone" class="form-control" formControlName="phone" [(ngModel)]="contact.phone">
          </div>
        </div>
        <div class="form-group">
          <label for="address" class="col-sm-4 control-label">Address</label>
          <div class="col-sm-8">
            <textarea id="address" class="form-control" formControlName="address" [(ngModel)]="contact.address"></textarea>
          </div>
        </div>
      </div>
      <div class="col-sm-6">
        <div class="form-group">
          <label for="email" class="col-sm-4 control-label">Email Address</label>
          <div class="col-sm-8">
            <input type="email" id="email" class="form-control" formControlName="email" [(ngModel)]="contact.email">
          </div>
        </div>
        <div class="form-group">
          <label for="website" class="col-sm-4 control-label">Website</label>
          <div class="col-sm-8">
            <input type="text" id="website" class="form-control" formControlName="website" [(ngModel)]="contact.website">
          </div>
        </div>
        <div class="form-group">
          <label for="notes" class="col-sm-4 control-label">Notes</label>
          <div class="col-sm-8">
            <textarea id="notes" class="form-control" formControlName="notes" [(ngModel)]="contact.notes" tooltip="Any additional information about the contact"></textarea>
          </div>
        </div>
      </div>
    </div>
    <div class="form-group well">
      <div class="col-sm-offset-2 col-sm-10">
        <input type="submit" class="btn btn-primary" value="Add Contact">
      </div>
    </div>
  </form>
</div>

<footer></footer>
